package com.yccrc.kede.service;

import com.yccrc.kede.domain.Enterprise;
import com.yccrc.kede.vo.EnterpriseAuthVO;
import com.yccrc.kede.vo.ProjectAddVO;

public interface INotifyService {
	
//	/**
//	 * 给指定用户发站内信
//	 * @param userId
//	 * @param content
//	 */
//	public void sendSiteMsg(Long userId,String content);
//	
//	/**
//	 * 给指定游湖发邮件
//	 * @param to
//	 * @param content
//	 */
//	public void sendEmail(String to,String content);
	
	public void sendMsg(Long userId,String title,String content);
	/**
	 * 入驻审核通知
	 * @param enterprise
	 */
	public void authEnterpriseMsg(EnterpriseAuthVO enterprise);
	
	/**
	 * 项目分配通知
	 * @param project
	 */
	public void asignProjectMsg(ProjectAddVO project);
	
	/**
	 * 项目审核通知
	 * @param project
	 */
	public void authProjectMsg(Integer projectId);
	
	/**
	 * 审核完成通知
	 * @param project
	 */
	public void authProjectFinishMsg(Integer projectId);
	
	/**
	 * 提交申报
	 * @param projectId
	 */
	public void reportProjectMsg(Integer projectId);
	
	/**
	 * 企业即将到期
	 * @param enteprise
	 */
	public void expireingEnterpriseMsg(Enterprise enteprise);
	
	/**
	 * 企业到期提醒
	 * @param enteprise
	 */
	public void expiredEnterpriseMsg(Enterprise enteprise,boolean sendToAdmin);
}
